﻿using Avalonia.Controls;
using LoginGenerator.Models;
using ReactiveUI;
using System;
using System.IO;

namespace LoginGenerator.ViewModels
{

    public class MainWindowViewModel : ViewModelBase
    {

        UserControl us = new GeneratePage();

        public UserControl US
        {
            get => us;
            set => this.RaiseAndSetIfChanged(ref us, value);
        }

        DataOutputViewModel dataOutput = new DataOutputViewModel();
        public DataOutputViewModel DataOutputVM
        {
            get => dataOutput;
            set => dataOutput = value;
        }

        GeneratePageViewModel generatePage = new GeneratePageViewModel();
        public GeneratePageViewModel GeneratePageVM
        {
            get => generatePage;
            set => generatePage = value;
        }

        public void ViewUsersData()
        {
            US = new DataOutput();
            DataOutputVM.FillingUsersList();
        }

        public void ViewGeneratePage()
        {
            US = new GeneratePage();
        }

        
    }
}